Subject: bug#33416: closed (Re: bug#33416: GUI (X) Emacs 26.1 locks up when '(' character is entered into a comment in (C/*l Abbrev) mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Nov 2018 10:43:02 +0000

Your bug report

#33416: GUI (X) Emacs 26.1 locks up when '(' character is entered into a comment in (C/*l Abbrev) mode

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33416: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33416
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33416: GUI (X) Emacs 26.1 locks up when '(' character is entered into a comment in (C/*l Abbrev) mode
From: Alan Mackenzie <[email-masked]>
To: James Vaughan <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Nov 2018 10:39:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, James.

Thanks for the testing!

I've committed the patch to the emacs-26 branch, so it should hopefully
be part of the "soon" to be released Emacs 26.2.  With this post I'm
closing the bug.

-- 
Alan Mackenzie (Nuremberg, Germany).

On Mon, Nov 19, 2018 at 18:15:42 -0500, James Vaughan wrote:
> Hello Alan,

> Your patch does appear to have solved the problem, thank you!

> I also got to learn some things about Emacs in the process.
> Win-win situation to me ;)

> Thanks,

> James Vaughan

Subject: GUI (X) Emacs 26.1 locks up when '(' character is entered into a comment in (C/*l Abbrev) mode
From: James Vaughan <[email-masked]>
To: [email-masked]
Date: Sat, 17 Nov 2018 17:04:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Reproduction
These are the precise steps I took, using this code
<https://gitlab.com/jvaughan/bpm.c> @
b6e7e4a6462644d83642ef2b1fae0a937c2fb339 :
1. With working directory in 'bpm.c/', start GUI Emacs in the background
with `emacs &`
2. Enter `C-x 3` to get vertical split, click into the right window, and
enter `C-x 2`.
3. From there, `M-x shell` to get a shell (zsh) in the bottom right corner.
4. Click into top right corner, `C-x C-f inc/parser.h`
5. Click into left half, `C-x C-f src/parser.c`
6. Append `// Continue checking if line is a comment (`.
Emacs will hang, not showing `(` or responding to clicks, commands, or GUI
interaction.
I had to `kill -9` it to get rid of it completely.
ps -a shows stat of emacs as RNl

$ uname -a
Linux workstation 4.19.1-arch1-1-ARCH #1 SMP PREEMPT Sun Nov 4 16:49:26 UTC
2018 x86_64 GNU/Linux

Thank you for looking into this.